[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONInstanceType

Type of instance to create

## Declaration

Source position: fpjson.pp line 30

`type TJSONInstanceType = (`
`jitUnknown,` |  | Unknown
`jitNumberInteger,` |  | 32-bit signed integer number value
`jitNumberInt64,` |  | 64-bit signed integer number value
`jitNumberFloat,` |  | Floating point real number value
`jitString,` |  | String value
`jitBoolean,` |  | Boolean value
`jitNull,` |  | Null value
`jitArray,` |  | Array value
`jitObject` |  | Object value
`);`

## Description

TJSONInstanceType is used by the parser to determine what kind of TJSONData descendent to create for a particular data item. It is a more fine-grained division than TJSONType

## See also

TJSONData |  | Base (abstract) object for all JSON based data types
TJSONType |  | Possible types of JSON data

Documentation generated on: Feb 26 2014